KeywordPlanIdeaService を使用すると、Google 検索キャンペーンに関連するキーワード候補を見つけたり、既存のキーワード リストの過去の指標を取得したりできます。
アイデアを生み出す
KeywordPlanIdeaService.GenerateKeywordIdeas を使用して、キャンペーンのキーワード候補を生成します。
キーワードと URL のシードを指定して、アイデアを生成できます。地域、言語、掲載ネットワークの設定などのターゲティング パラメータを設定して、検索を絞り込みます。このサービスは、検索ボリューム データなどの過去の統計情報を返します。これにより、キャンペーンでキーワードを使用するかどうかを判断できます。Google 広告の管理画面に慣れているユーザーにとっては、これはキーワード プランナーに似ています。
キーワード候補を生成するためのシードを作成する方法はいくつかあります。
宣伝する内容を表す単語やフレーズには、
KeywordSeedを使用します(キーワードは 1 個以上 20 個まで必要です)。これは、ターゲットとする一般的なビジネスの種類(配管工など)や、提供する商品やサービス(排水管の清掃など)です。ビジネスに関連するウェブページまたはウェブサイト全体の URL には、
UrlSeedを使用します。URL シードは特定の URL のみをターゲットにします。一致するものがなければ、検索は同じドメインのページまで自動的に拡大されます。URL シードの場合、サービスはハイパーリンクの内容を使用しません。
キーワード シードと URL シードの両方で、
KeywordAndUrlSeedを使用します(URL とともに 1 ~ 20 個のキーワードが必要です)。KeywordAndUrlSeedを使用すると、UrlSeedのみの場合と比べて、キーワード候補が多くなります。サイト全体の場合は、
SiteSeedを使用します。www.example.comなどのトップレベル ドメイン名が指定されると、サイト シードは一般公開されている情報から最大 250,000 個のキーワード候補を生成します。
ターゲティングを絞り込むには、language、地域(最大 10 個の geo_target_constants)、keyword_plan_network、include_adult_keywords、keyword_annotation(キーワードを絞り込む)、historical_metrics_options を構成します。
レスポンスはページ分けをサポートしています(1 ページあたり最大 10,000 件の結果。最後のページより前のページでは page_size 件未満の結果が返されることがあるため、追加のページが利用可能かどうかを判断するには、常に next_page_token を確認してください)。各 GenerateKeywordIdeaResult は、正規の text(close_variants を含む)、予測指標を生成する前にフィルタリングするための過去の keyword_idea_metrics、オプションの keyword_annotations を返します。
リクエストとレスポンスのフィールド リファレンス
次のエンドポイントで KeywordPlanIdeaService.GenerateKeywordIdeas を呼び出します。
POST https://googleads.googleapis.com/v26/customers/{customer_id}:generateKeywordIdeas
次の表に、GenerateKeywordIdeasRequest のフィールドと制約をまとめます。
| リクエスト フィールド | 要件 | 形式と制限事項 |
|---|---|---|
customer_id |
必須 | 10 桁のお客様 ID(string)(ハイフンなし)。 |
seed(oneof) |
必須 | 次のいずれかを指定します。 • keyword_seed: keywords[](1 ~ 20 個の文字列)。• url_seed: url(特定のページの URL)。• keyword_and_url_seed: url と 1 ~ 20 個の keywords[]。• site_seed: site(www.example.com などのドメイン名。最大 250,000 個の候補が返されます)。 |
language |
省略可 | 言語条件のリソース名(languageConstants/{criterion_id}、例: 英語の場合は languageConstants/1000)。言語定数をご覧ください。省略すると、すべての言語のキーワードが含まれます。 |
geo_target_constants[] |
省略可 | 最大 10 個のロケーション リソース名(geoTargetConstants/{criterion_id}。たとえば、米国の場合は geoTargetConstants/2840)。地域ターゲティングをご覧ください。リストが空の場合は、すべての地域がターゲットに設定されます。 |
keyword_plan_network |
省略可 | KeywordPlanNetwork(GOOGLE_SEARCH または GOOGLE_SEARCH_AND_PARTNERS)。デフォルトは GOOGLE_SEARCH_AND_PARTNERS です。 |
include_adult_keywords |
省略可 | bool: アダルト キーワードを返すかどうかを制御します。デフォルトは false です。 |
keyword_annotation[] |
省略可 | 各結果の keyword_annotations に入力する KeywordPlanKeywordAnnotation 値(KEYWORD_CONCEPT など)のリスト。 |
aggregate_metrics |
省略可 | KeywordPlanAggregateMetrics(aggregate_metric_types を DEVICE に設定): aggregate_metric_results でデバイス セグメント別の検索数を返します。 |
historical_metrics_options |
省略可 | HistoricalMetricsOptions。オプションの year_month_range(過去 4 年間分が利用可能。デフォルトは過去 12 か月間)と include_average_cpc を指定します。 |
page_size、page_token |
省略可 | ページあたりの最大結果数(int32、最大 10,000)と next_page_token からの継続トークン。他のすべてのリクエスト フィールドは、ページネーションされたリクエスト間で同じにします。 |
GenerateKeywordIdeaResponse メッセージは、次のフィールドを返します。
| レスポンス フィールド | タイプ | 説明 |
|---|---|---|
results[].text |
string |
候補とその組み合わせ close_variants[] を表す正規のキーワード候補テキスト。 |
results[].close_variants[] |
string[] |
類似パターンがこの GenerateKeywordIdeaResult に統合されました。 |
results[].keyword_idea_metrics |
KeywordPlanHistoricalMetrics |
検索ボリューム: avg_monthly_searches(12 か月間の平均)と monthly_search_volumes[](year、month、monthly_searches)。競合他社: competition(LOW、MEDIUM、HIGH)と competition_index(0~100)。入札単価と CPC: low_top_of_page_bid_micros(20 パーセンタイル)、high_top_of_page_bid_micros(80 パーセンタイル)、average_cpc_micros(include_average_cpc = true の場合に設定)。 |
results[].keyword_annotations |
KeywordAnnotations |
keyword_annotation で KEYWORD_CONCEPT がリクエストされたときに入力されます。concepts[](name、concept_group.name、concept_group.type)が含まれます。 |
aggregate_metric_results |
KeywordPlanAggregateMetricResults |
aggregate_metrics で DEVICE がリクエストされたときに入力されます。device_searches[](MOBILE、TABLET、DESKTOP)が含まれます。 |
next_page_token、total_size |
string、int64 |
次のページの継続トークン(最後のページでは省略)と、利用可能なキーワード候補の合計数。 |
サンプルコード
Java
private void runExample( GoogleAdsClient googleAdsClient, long customerId, long languageId, List<Long> locationIds, List<String> keywords, @Nullable String pageUrl) { try (KeywordPlanIdeaServiceClient keywordPlanServiceClient = googleAdsClient.getLatestVersion().createKeywordPlanIdeaServiceClient()) { GenerateKeywordIdeasRequest.Builder requestBuilder = GenerateKeywordIdeasRequest.newBuilder() .setCustomerId(Long.toString(customerId)) // Sets the language resource using the provided language ID. .setLanguage(ResourceNames.languageConstant(languageId)) // Sets the network. To restrict to only Google Search, change the parameter below to // KeywordPlanNetwork.GOOGLE_SEARCH. .setKeywordPlanNetwork(KeywordPlanNetwork.GOOGLE_SEARCH_AND_PARTNERS); // Adds the resource name of each location ID to the request. for (Long locationId : locationIds) { requestBuilder.addGeoTargetConstants(ResourceNames.geoTargetConstant(locationId)); } // Makes sure that keywords and/or page URL were specified. The request must have exactly one // of urlSeed, keywordSeed, or keywordAndUrlSeed set. if (keywords.isEmpty() && pageUrl == null) { throw new IllegalArgumentException( "At least one of keywords or page URL is required, but neither was specified."); } if (keywords.isEmpty()) { // Only page URL was specified, so use a UrlSeed. requestBuilder.getUrlSeedBuilder().setUrl(pageUrl); } else if (pageUrl == null) { // Only keywords were specified, so use a KeywordSeed. requestBuilder.getKeywordSeedBuilder().addAllKeywords(keywords); } else { // Both page URL and keywords were specified, so use a KeywordAndUrlSeed. requestBuilder.getKeywordAndUrlSeedBuilder().setUrl(pageUrl).addAllKeywords(keywords); } // Sends the keyword ideas request. GenerateKeywordIdeasPagedResponse response = keywordPlanServiceClient.generateKeywordIdeas(requestBuilder.build()); // Prints each result in the response. for (GenerateKeywordIdeaResult result : response.iterateAll()) { System.out.printf( "Keyword idea text '%s' has %d average monthly searches and '%s' competition.%n", result.getText(), result.getKeywordIdeaMetrics().getAvgMonthlySearches(), result.getKeywordIdeaMetrics().getCompetition()); } } }
C#
public void Run(GoogleAdsClient client, long customerId, long[] locationIds, long languageId, string[] keywordTexts, string pageUrl) { KeywordPlanIdeaServiceClient keywordPlanIdeaService = client.GetService(Services.V26.KeywordPlanIdeaService); // Make sure that keywords and/or page URL were specified. The request must have // exactly one of urlSeed, keywordSeed, or keywordAndUrlSeed set. if (keywordTexts.Length == 0 && string.IsNullOrEmpty(pageUrl)) { throw new ArgumentException("At least one of keywords or page URL is required, " + "but neither was specified."); } // Specify the optional arguments of the request as a keywordSeed, UrlSeed, // or KeywordAndUrlSeed. GenerateKeywordIdeasRequest request = new GenerateKeywordIdeasRequest() { CustomerId = customerId.ToString(), }; if (keywordTexts.Length == 0) { // Only page URL was specified, so use a UrlSeed. request.UrlSeed = new UrlSeed() { Url = pageUrl }; } else if (string.IsNullOrEmpty(pageUrl)) { // Only keywords were specified, so use a KeywordSeed. request.KeywordSeed = new KeywordSeed(); request.KeywordSeed.Keywords.AddRange(keywordTexts); } else { // Both page URL and keywords were specified, so use a KeywordAndUrlSeed. request.KeywordAndUrlSeed = new KeywordAndUrlSeed(); request.KeywordAndUrlSeed.Url = pageUrl; request.KeywordAndUrlSeed.Keywords.AddRange(keywordTexts); } // Create a list of geo target constants based on the resource name of specified // location IDs. foreach (long locationId in locationIds) { request.GeoTargetConstants.Add(ResourceNames.GeoTargetConstant(locationId)); } request.Language = ResourceNames.LanguageConstant(languageId); // Set the network. To restrict to only Google Search, change the parameter below to // KeywordPlanNetwork.GoogleSearch. request.KeywordPlanNetwork = KeywordPlanNetwork.GoogleSearchAndPartners; try { // Generate keyword ideas based on the specified parameters. var response = keywordPlanIdeaService.GenerateKeywordIdeas(request); // Iterate over the results and print its detail. foreach (GenerateKeywordIdeaResult result in response) { KeywordPlanHistoricalMetrics metrics = result.KeywordIdeaMetrics; Console.WriteLine($"Keyword idea text '{result.Text}' has " + $"{metrics.AvgMonthlySearches} average monthly searches and competition " + $"is {metrics.Competition}."); } } catch (GoogleAdsException e) { Console.WriteLine("Failure:"); Console.WriteLine($"Message: {e.Message}"); Console.WriteLine($"Failure: {e.Failure}"); Console.WriteLine($"Request ID: {e.RequestId}"); throw; } }
PHP
public static function runExample( GoogleAdsClient $googleAdsClient, int $customerId, array $locationIds, int $languageId, array $keywords, ?string $pageUrl ) { $keywordPlanIdeaServiceClient = $googleAdsClient->getKeywordPlanIdeaServiceClient(); // Make sure that keywords and/or page URL were specified. The request must have exactly one // of urlSeed, keywordSeed, or keywordAndUrlSeed set. if (empty($keywords) && is_null($pageUrl)) { throw new \InvalidArgumentException( 'At least one of keywords or page URL is required, but neither was specified.' ); } // Specify the optional arguments of the request as a keywordSeed, urlSeed, // or keywordAndUrlSeed. $requestOptionalArgs = []; if (empty($keywords)) { // Only page URL was specified, so use a UrlSeed. $requestOptionalArgs['url_seed'] = new UrlSeed(['url' => $pageUrl]); } elseif (is_null($pageUrl)) { // Only keywords were specified, so use a KeywordSeed. $requestOptionalArgs['keyword_seed'] = new KeywordSeed(['keywords' => $keywords]); } else { // Both page URL and keywords were specified, so use a KeywordAndUrlSeed. $requestOptionalArgs['keyword_and_url_seed'] = new KeywordAndUrlSeed(['url' => $pageUrl, 'keywords' => $keywords]); } // Create a list of geo target constants based on the resource name of specified location // IDs. $geoTargetConstants = array_map(function ($locationId) { return ResourceNames::forGeoTargetConstant($locationId); }, $locationIds); // Generate keyword ideas based on the specified parameters. $response = $keywordPlanIdeaServiceClient->generateKeywordIdeas( new GenerateKeywordIdeasRequest([ // Set the language resource using the provided language ID. 'language' => ResourceNames::forLanguageConstant($languageId), 'customer_id' => $customerId, // Add the resource name of each location ID to the request. 'geo_target_constants' => $geoTargetConstants, // Set the network. To restrict to only Google Search, change the parameter below to // KeywordPlanNetwork::GOOGLE_SEARCH. 'keyword_plan_network' => KeywordPlanNetwork::GOOGLE_SEARCH_AND_PARTNERS ] + $requestOptionalArgs) ); // Iterate over the results and print its detail. foreach ($response->iterateAllElements() as $result) { /** @var GenerateKeywordIdeaResult $result */ // Note that the competition printed below is enum value. // For example, a value of 2 will be returned when the competition is 'LOW'. // A mapping of enum names to values can be found at KeywordPlanCompetitionLevel.php. printf( "Keyword idea text '%s' has %d average monthly searches and competition as %d.%s", $result->getText(), is_null($result->getKeywordIdeaMetrics()) ? 0 : $result->getKeywordIdeaMetrics()->getAvgMonthlySearches(), is_null($result->getKeywordIdeaMetrics()) ? 0 : $result->getKeywordIdeaMetrics()->getCompetition(), PHP_EOL ); } }
Python
def main( client: GoogleAdsClient, customer_id: str, location_ids: list[str], language_id: str, keyword_texts: list[str], page_url: str, ): keyword_plan_idea_service: KeywordPlanIdeaServiceClient = ( client.get_service("KeywordPlanIdeaService") ) keyword_competition_level_enum: KeywordPlanCompetitionLevelEnum = ( client.enums.KeywordPlanCompetitionLevelEnum ) keyword_plan_network: KeywordPlanNetworkEnum = ( client.enums.KeywordPlanNetworkEnum.GOOGLE_SEARCH_AND_PARTNERS ) location_rns: list[str] = map_locations_ids_to_resource_names( client, location_ids ) google_ads_service: GoogleAdsServiceClient = client.get_service( "GoogleAdsService" ) language_rn: str = google_ads_service.language_constant_path(language_id) # Either keywords or a page_url are required to generate keyword ideas # so this raises an error if neither are provided. if not (keyword_texts or page_url): raise ValueError( "At least one of keywords or page URL is required, " "but neither was specified." ) # Only one of the fields "url_seed", "keyword_seed", or # "keyword_and_url_seed" can be set on the request, depending on whether # keywords, a page_url or both were passed to this function. request: GenerateKeywordIdeasRequest = client.get_type( "GenerateKeywordIdeasRequest" ) request.customer_id = customer_id request.language = language_rn request.geo_target_constants = location_rns request.include_adult_keywords = False request.keyword_plan_network = keyword_plan_network # To generate keyword ideas with only a page_url and no keywords we need # to initialize a UrlSeed object with the page_url as the "url" field. if not keyword_texts and page_url: request.url_seed.url = page_url # To generate keyword ideas with only a list of keywords and no page_url # we need to initialize a KeywordSeed object and set the "keywords" field # to be a list of StringValue objects. if keyword_texts and not page_url: request.keyword_seed.keywords.extend(keyword_texts) # To generate keyword ideas using both a list of keywords and a page_url we # need to initialize a KeywordAndUrlSeed object, setting both the "url" and # "keywords" fields. if keyword_texts and page_url: request.keyword_and_url_seed.url = page_url request.keyword_and_url_seed.keywords.extend(keyword_texts) keyword_ideas = keyword_plan_idea_service.generate_keyword_ideas( request=request ) idea: GenerateKeywordIdeaResult for idea in keyword_ideas: competition_value = idea.keyword_idea_metrics.competition.name print( f'Keyword idea text "{idea.text}" has ' f'"{idea.keyword_idea_metrics.avg_monthly_searches}" ' f'average monthly searches and "{competition_value}" ' "competition.\n" )
Ruby
def generate_keyword_ideas(customer_id, location_ids, language_id, keywords, page_url) # GoogleAdsClient will read a config file from # ENV['HOME']/google_ads_config.rb when called without parameters client = Google::Ads::GoogleAds::GoogleAdsClient.new # Make sure that keywords and/or page URL were specified. The request must # have exactly one of urlSeed, keywordSeed, or keywordAndUrlSeed set. if keywords.reject {|k| k.nil?}.empty? && page_url.nil? raise "At least one of keywords or page URL is required." end kp_idea_service = client.service.keyword_plan_idea options_hash = if keywords.empty? seed = client.resource.url_seed do |seed| seed.url = page_url end {url_seed: seed} elsif page_url.nil? seed = client.resource.keyword_seed do |seed| keywords.each do |keyword| seed.keywords << keyword end end {keyword_seed: seed} else seed = client.resource.keyword_and_url_seed do |seed| seed.url = page_url keywords.each do |keyword| seed.keywords << keyword end end {keyword_and_url_seed: seed} end geo_target_constants = location_ids.map do |location_id| client.path.geo_target_constant(location_id) end include_adult_keywords = true response = kp_idea_service.generate_keyword_ideas( customer_id: customer_id, language: client.path.language_constant(language_id), geo_target_constants: geo_target_constants, include_adult_keywords: include_adult_keywords, # To restrict to only Google Search, change the parameter below to # :GOOGLE_SEARCH keyword_plan_network: :GOOGLE_SEARCH_AND_PARTNERS, **options_hash ) response.each do |result| monthly_searches = if result.keyword_idea_metrics.nil? 0 else result.keyword_idea_metrics.avg_monthly_searches end competition = if result.keyword_idea_metrics.nil? :UNSPECIFIED else result.keyword_idea_metrics.competition end puts "Keyword idea text #{result.text} has #{monthly_searches} average " + "monthly searches and competition as #{competition}." end end
Perl
sub generate_keyword_ideas { my ( $api_client, $customer_id, $location_ids, $language_id, $keyword_texts, $page_url ) = @_; # Make sure that keywords and/or page URL were specified. The request must have # exactly one of urlSeed, keywordSeed, or keywordAndUrlSeed set. if (not scalar @$keyword_texts and not $page_url) { die "At least one of keywords or page URL is required, " . "but neither was specified."; } # Specify the optional arguments of the request as a keywordSeed, urlSeed, # or keywordAndUrlSeed. my $request_option_args = {}; if (!scalar @$keyword_texts) { # Only page URL was specified, so use a UrlSeed. $request_option_args->{urlSeed} = Google::Ads::GoogleAds::V26::Services::KeywordPlanIdeaService::UrlSeed-> new({ url => $page_url }); } elsif (not $page_url) { # Only keywords were specified, so use a KeywordSeed. $request_option_args->{keywordSeed} = Google::Ads::GoogleAds::V26::Services::KeywordPlanIdeaService::KeywordSeed ->new({ keywords => $keyword_texts }); } else { # Both page URL and keywords were specified, so use a KeywordAndUrlSeed. $request_option_args->{keywordAndUrlSeed} = Google::Ads::GoogleAds::V26::Services::KeywordPlanIdeaService::KeywordAndUrlSeed ->new({ url => $page_url, keywords => $keyword_texts }); } # Create a list of geo target constants based on the resource name of specified # location IDs. my $geo_target_constants = [ map ( Google::Ads::GoogleAds::V26::Utils::ResourceNames::geo_target_constant( $_), @$location_ids)]; # Generate keyword ideas based on the specified parameters. my $keyword_ideas_response = $api_client->KeywordPlanIdeaService()->generate_keyword_ideas({ customerId => $customer_id, # Set the language resource using the provided language ID. language => Google::Ads::GoogleAds::V26::Utils::ResourceNames::language_constant( $language_id), # Add the resource name of each location ID to the request. geoTargetConstants => $geo_target_constants, # Set the network. To restrict to only Google Search, change the parameter below # to GOOGLE_SEARCH. keywordPlanNetwork => GOOGLE_SEARCH_AND_PARTNERS, %$request_option_args }); # Iterate over the results and print its detail. foreach my $result (@{$keyword_ideas_response->{results}}) { printf "Keyword idea text '%s' has %d average monthly searches " . "and '%s' competition.\n", $result->{text}, $result->{keywordIdeaMetrics}{avgMonthlySearches} ? $result->{keywordIdeaMetrics}{avgMonthlySearches} : 0, $result->{keywordIdeaMetrics}{competition} ? $result->{keywordIdeaMetrics}{competition} : "undef"; } return 1; }
curl
# This code example generates keyword ideas. # # Variables: # API_VERSION, # CUSTOMER_ID, # MANAGER_CUSTOMER_ID, # OAUTH2_ACCESS_TOKEN: # See https://developers.google.com/google-ads/api/rest/auth#request_headers # for details. # # LANGUAGE: The resource name of the language to target. This is in the format # of "languageConstants/{criterion_id}". See # https://developers.google.com/google-ads/api/data/codes-formats#languages # for the available criterion_id values. # GEO_TARGET_CONSTANT: The resource name of the geo target constant to # generate keyword ideas for. This is in the format of # "geoTargetConstants/{criterion_id}". See # https://developers.google.com/google-ads/api/data/geotargets for the # available criterion_id values. # KEYWORD: The keyword to generate keyword ideas for. # URL: The URL of the website to generate keyword ideas for. curl -f --request POST \ "https://googleads.googleapis.com/v${API_VERSION}/customers/${CUSTOMER_ID}:generateKeywordIdeas" \ --header "Content-Type: application/json" \ --header "login-customer-id: ${MANAGER_CUSTOMER_ID}" \ --header "Authorization: Bearer ${OAUTH2_ACCESS_TOKEN}" \ --data @- <<EOF { "language": "${LANGUAGE}", "geoTargetConstants": [ "${GEO_TARGET_CONSTANT}" ], "includeAdultKeywords": false, "keywordPlanNetwork": "GOOGLE_SEARCH", "keywordAndUrlSeed": { "keywords": [ "${KEYWORD}" ], "url": "${URL}" } } EOF
REST リクエストとレスポンスの構造
次の例では、keywordAndUrlSeed、英語(languageConstants/1000)、米国(geoTargetConstants/2840)を使用して、KeywordPlanIdeaService.GenerateKeywordIdeas に POST リクエストを送信しています。
POST https://googleads.googleapis.com/v26/customers/{customer_id}:generateKeywordIdeas
{
"language": "languageConstants/1000",
"geoTargetConstants": [
"geoTargetConstants/2840"
],
"includeAdultKeywords": false,
"keywordPlanNetwork": "GOOGLE_SEARCH",
"keywordAnnotation": [
"KEYWORD_CONCEPT"
],
"keywordAndUrlSeed": {
"url": "https://www.example.com/mars-cruises",
"keywords": [
"mars cruise",
"space vacation"
]
}
}
成功すると、レスポンスとして results[] の GenerateKeywordIdeaResult 行が、過去の検索ボリュームと入札範囲とともに返されます。
{
"results": [
{
"text": "mars cruise",
"keywordIdeaMetrics": {
"avgMonthlySearches": "12100",
"competition": "MEDIUM",
"competitionIndex": "54",
"lowTopOfPageBidMicros": "1450000",
"highTopOfPageBidMicros": "4800000",
"monthlySearchVolumes": [
{
"year": "2026",
"month": "MAY",
"monthlySearches": "14800"
}
]
},
"keywordAnnotations": {
"concepts": [
{
"name": "Space Travel",
"conceptGroup": {
"name": "Travel",
"type": "OTHERS"
}
}
]
}
}
],
"totalSize": "1"
}
UI にマッピングする
次の表に、KeywordPlanIdeaService.GenerateKeywordIdeas パラメータと Google 広告管理画面のキーワード プランナーとの対応関係を示します。
| 管理画面のキーワード プランナー | Google Ads API |
|---|---|
| キーワードと URL を入力する | |
| 地域 | GenerateKeywordIdeasRequest.geo_target_constants |
| 成人向けキーワード | GenerateKeywordIdeasRequest.include_adult_keywords |
| 言語 | GenerateKeywordIdeasRequest.language |
| 検索ネットワーク | GenerateKeywordIdeasRequest.keyword_plan_network |
| キーワードの見直し | GenerateKeywordIdeasRequest.keyword_annotation |
| 期間 | GenerateKeywordIdeasRequest.historical_metrics_options |
| 結果: キーワード | GenerateKeywordIdeaResult.text |
| 結果: 指標 | GenerateKeywordIdeaResult.keyword_idea_metrics |